//Habitat shader file

textures/sb_habitat/tex_42
{
	nomipmaps
	nopicmip
	{
		map textures/sb_habitat/raindrop.jpg
		blendfunc add
		tcMod Scroll 0.05 -1.8
		tcMod turb .01 .025 0 -.01
	}
}

textures/sb_habitat/tex_40
{
	{
		map textures/sb_habitat/tex_40.jpg
		blendFunc add
		tcMod rotate 7
	}
}

textures/sb_habitat/sky
{
	nopicmip
    skyparms env/sb_habitat/habitat 1500 -
}

textures/sb_habitat/tex_24_ge128
{
	cull none
	{
		map textures/sb_habitat/tex_24.tga
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sb_habitat/tex_37_ge128
{
	{
		map textures/sb_habitat/tex_37.tga
		alphaFunc GE128
	}
	{
		map textures/sb_habitat/tex_37b.jpg
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sb_habitat/tex_37_ge128b
{
	{
		map textures/sb_habitat/tex_37.tga
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sb_habitat/tex_41b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_41.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_12_light_800
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_12.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_12_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_12_light_red_800
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_12.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_12_lightb.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_14_light_400
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_14.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_14_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_18_light_200
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_18.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_18_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_25_light_200
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_25.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_25_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_27_light_500
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_27.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_27_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_27_light_500b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_27b.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_27_lightb.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_29_light_200
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_29.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_29_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_34_pulse
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_34.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_34b.jpg
		blendfunc add
		rgbGen wave triangle 0.5 0.5 0 0.5
	}
}

textures/sb_habitat/tex_34_pulse_red
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_34.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_34c.jpg
		blendfunc add
	}
}

textures/sb_habitat/tex_35_light_200
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_35.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_35_light.jpg
		blendfunc add
	}
}

textures/sb_habitat/fog
{
	surfaceparm noimpact
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.76 0.80 0.81 ) 20000
}


textures/sb_habitat/smoke_01
{
	nopicmip
	cull none
	{
		map textures/sb_habitat/smoke_01.tga
		blendfunc blend
		alphagen vertex
	}
}

textures/sb_habitat/tex_36_green
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_green.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sb_habitat/tex_36_red
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_red.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sb_habitat/tex_36_press
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_pressed.jpg
		blendfunc GL_ONE GL_ONE
		alphagen vertex
	}
}

textures/sb_habitat/tex_36_redpulse
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_red.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave triangle 0.5 0.5 0 0.5
	}
}

textures/sb_habitat/tex_36_1
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
	}
	
}

textures/sb_habitat/tex_36_2
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_1b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36b.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_2b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36b.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_1
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_2
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_3
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_pressed
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button_pressed.jpg
		blendFunc filter
		rgbGen identity
	}

}

textures/sb_habitat/tex_36_button_1b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_2b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_3b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}

textures/sb_habitat/tex_36_button_4b
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sb_habitat/tex_36_button.jpg
		blendFunc filter
		rgbGen identity
	}
}